<?php

namespace xenarabia\usermood\XF\Entity;

use XF\Mvc\Entity\Entity;

class Listener
{
	public static function userEntityStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
	{
		$structure->columns['mood_id'] = ['type' => Entity::INT, 'default' => 0];
		$structure->relations['UserMood'] = [
			'entity' => 'XF:User',
			'type' => Entity::TO_ONE,
			'conditions' => [['mood_id', '=', '$mood_id']],
			'primary' => true
	];

	}


	
    public static function getNavMood(\XF\Template\Templater $templater, &$type, &$template, array &$params) {
		
		$app = \XF::app();
		$mood_id = \XF::visitor()->user_id;
        $repo = $app->em()->getRepository('xenarabia\usermood\XF:UsermoodRepo')->getUsermoodByUserId();
        $params['UserMood'] = $repo;
    }
	
}